Draft Círculo

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Circle and the translation is 10% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe • ‎中文(中国大陆)‎
Arrow-left.svg Previous: Draft Wire.svg Wire
Next: Arc Draft Arc.svg Arrow-right.svg

Draft Circle.svg Draft Círculo

Ubicación en el Menú
Boceto → Circunferencia
Entornos de trabajo
Croquis, Arquitectura
Atajo de teclado por defecto
C I
Introducido en versión
-
Ver también
Arco


Descripción

La herramienta Circunferencia crea una circunferencia en el plano de trabajo actual introduciendo dos puntos, el centro y el radio, o seleccionando las tangentes o cualquier combinación de ellas. Toma el espesor de línea y color previamente establecido en la pestaña de tareas. Esta herramienta funciona del mismo modo que la herramienta Arco, excepto que termina después de introducir el radio.

This tool works the same way as the Draft Arc tool, except that it creates a full circumference. To draw an ellipse use Draft Ellipse.

Draft Circle example.jpg

Draft Circle example.jpg

Utilización

  1. Presiona el botón Draft Circle.png Circunferencia, o presiona las teclas C y I
  2. Selecciona un primer punto en la vista 3D, o escribe una coordenadas
  3. Selecciona un segundo punto en la vista 3D, o introduce un valor de radio.

The circle can be edited by double clicking on the element in the tree view, or by pressing the Draft Edit.svg Draft Edit button. Then you can move the center and radius points to a new position.

The circle can be turned into an arc after creation, by setting its first angle and last angle properties to different values.

Opciones

  • El principal uso de la herramienta circunferencia es indicando dos puntos, el centro y un punto en la circunferencia, definiendo el radio.
  • Presionando ALT, puedes indicar una tangencia en lugar del centro o del radio. Puedes por tanto construir varios tipos de circunferencias seleccionando una, dos o tres tangencias.
  • Para introducir coordenadas manualmente, simplemente introduce los números y presiona ENTER entre cada componente X, Y y Z.
  • Presiona T o pulsa la casilla activar / desactivar el modo Continuo. Si está definido el modo continuo, la herramienta Circunferencia se iniciará después de indicar el segundo punto, permitiendo que dibujes otra circunferencia sin presionar el botón de circunferencia de nuevo.
  • Presiona CTRL mientras dibujas para forzar el ajuste de tu punto a la posición de ajuste más cercana, independientemente de la distancia.
  • Presiona SHIFT mientras dibujas para restringir tu segundo punto horizontal o verticalmente en relación al primero.
  • Presiona I o el botón de Relleno para que la circunferencia se muestre como una cara después de que se cierre. Esto simplemente establece Vista -> Propiedad de la circunferencia a "Líneas planas" o "Alámbricas", sde modo que se pueda cambiar fácilmente más adelante.
  • Presiona ESC o el botón Cancelar para abortar el comando línea actual.
  • La circunferencia se puede convertir en un arco después de crearse, estableciendo las propiedades del primer ángulo y último ángulo a valores diferentes.

Propiedades

  • DATOS Radius: el radio del círculo
  • DATOS Make Face: llena el círculo con una cara
  • VISTA Pattern: especifica un patrón de sombreado para llenar el Wire
  • VISTA Pattern Size: especifica el tamaño del patrón de sombreado

Data

  • DATAFirst Angle: specifies the starting angle of the circle; normally 0°.
  • DATALast Angle: specifies the ending angle of the circle; normally 0°.
  • DATARadius: specifies the radius of the circle.
  • DATAMake Face: specifies if the Circle makes a face or not. If it is True a face is created, otherwise only the circumference is considered part of the object. This property only works if the shape is a full circumference.
For it to be a full circle DATAFirst Angle and DATALast Angle should have the same value; otherwise, a Draft Arc is displayed. The values 0° and 360° aren't considered the same, so if these two values are used, the circle will not form a face.

View

  • VIEWPattern: specifies a Draft Pattern with which to fill the face of the circle. This property only works if DATAMake Face is True, and if VIEWDisplay Mode is "Flat Lines".
  • VIEWPattern Size: specifies the size of the Draft Pattern.

Archivos de guión

La herramienta Circunferencia se puede utilizar en macros y desde la consola utilizando la siguiente función:

The Circle tool can be used in macros and from the Python console by using the following function:

Circle = makeCircle(radius, placement=None, face=None, startangle=None, endangle=None, support=None)
Circle = makeCircle(Part.Edge, placement=None, face=None, startangle=None, endangle=None, support=None)
  • Crea un objeto circunferencia con el valor de radio dado.
  • Si se indica una ubicación, se utiliza. Si el modo de cara es falso, la circunferencia se mostrará como una estructura alámbrica, en otro caso como una cara.
  • Si se indican un ángulo de inicio Y un ángulo final (en grados), se utilizarán y el objeto se mostrará como un arco.
  • Devuelve el objeto recién creado.

Ejemplo:

import FreeCAD, Draft

Circle1 = Draft.makeCircle(200)

ZAxis = FreeCAD.Vector(0, 0, 1)
p2 = FreeCAD.Vector(1000, 1000, 0)
place2 = FreeCAD.Placement(p2, FreeCAD.Rotation(ZAxis, 0))
Circle2 = Draft.makeCircle(500, placement=place2)

p3 = FreeCAD.Vector(-1000, -1000, 0)
place3 = FreeCAD.Placement(p3, FreeCAD.Rotation(ZAxis, 0))
Circle3 = Draft.makeCircle(750, placement=place3)
Arrow-left.svg Previous: Draft Wire.svg Wire
Next: Arc Draft Arc.svg Arrow-right.svg